######################
## Dockerfile to build container images consisting of Node.js and nginx environment
# Based on Ubuntu
#####

# Set the base image to Ubuntu
FROM ubuntu
# File Author / Maintainer
# MAINTAINER name Chunteng Xiao
RUN apt-get clean
RUN apt-get update
RUN apt-get install -y software-properties-common
# RUN add-apt-repository ppa:certbot/certbot
RUN apt-get update
RUN apt-get -f install -y nodejs nginx npm curl unzip 
RUN curl --insecure -o ./sonarscanner.zip -L https://sonarsource.bintray.com/Distribution/sonar-scanner-cli/sonar-scanner-cli-3.2.0.1227-linux.zip
RUN unzip sonarscanner.zip
RUN rm sonarscanner.zip
ENV SONAR_RUNNER_HOME=/sonar-scanner-3.2.0.1227-linux
ENV PATH $PATH:/sonar-scanner-3.2.0.1227-linux/bin
COPY sonar-runner.properties ./sonar-scanner-3.2.0.1227-linux/conf/sonar-scanner.properties
RUN npm install cnpm -g --registry=https://registry.npm.taobao.org
RUN cnpm install gitbook-cli -g 
ADD default /etc/nginx/sites-available
# RUN certbot --nginx
# RUN certbot renew --dry-run
EXPOSE 80